漏洞信息详情

libgit2 安全漏洞

  • CNNVD编号:CNNVD-201610-267
  • 危害等级: 中危
  • CVE编号: CVE-2016-8569
  • 漏洞类型: 资料不足
  • 发布时间: 2016-10-14
  • 威胁类型: 远程
  • 更新时间: 2017-02-06
  • 厂        商: novell
  • 漏洞来源: Gustavo Grieco.

漏洞简介

libgit2是一个可移植、使用C语言实现的Git核心开发包。

libgit2 0.24.3之前的版本的commit.c文件的‘git_oid_nfmt’函数存在安全漏洞。远程攻击者利用该漏洞造成拒绝服务(空指针逆向引用)。

漏洞公告

目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:

https://github.com/libgit2/libgit2/issues/3937

参考网址

来源: BID

链接:http://www.securityfocus.com/bid/93465

来源:SUSE

链接:http://lists.opensuse.org/opensuse-updates/2017-01/msg00114.html

来源:FEDORA

链接:https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/4E77DG5KGQ7L34U75QY7O6NIPKZNQHQJ/

来源:FEDORA

链接:https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/XVUEIG6EESZB6BRU2IE3F5NRUEHMAEKC/

来源:SUSE

链接:http://lists.opensuse.org/opensuse-updates/2017-01/msg00103.html

来源:MLIST

链接:http://www.openwall.com/lists/oss-security/2016/10/08/7

来源:SUSE

链接:http://lists.opensuse.org/opensuse-updates/2017-01/msg00110.html

来源:bugzilla.redhat.com

链接:https://bugzilla.redhat.com/show_bug.cgi?id=1383211

来源:SUSE

链接:http://lists.opensuse.org/opensuse-updates/2016-12/msg00075.html

来源:github.com

链接:https://github.com/libgit2/libgit2/releases/tag/v0.24.3

来源:github.com

链接:https://github.com/libgit2/libgit2/issues/3937

来源:FEDORA

链接:https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/X3JBSNJAXP7JA3TGE2NPNRTD77JXFG4E/

补丁

    暂无

漏洞信息快速查询

相关漏洞

更多